using Orchard.Environment.Extensions;
using Orchard.UI.Resources;

namespace Kendo.Web
{
    [OrchardFeature("Kendo.KnockoutKendo")]
    public class KnockoutKendo : IResourceManifestProvider
    {
        public void BuildManifests(ResourceManifestBuilder builder)
        {
            var manifest = builder.Add();
            manifest
                    .DefineScript("kendo.knockout")
                    .SetDependencies("kendo.web", "ko")
                    .SetUrl("knockout-kendo.min.js");
        }
    }
}