using Orchard.Data.Migration;
using Orchard.Environment.Extensions;

namespace Kendo.Web
{
    [OrchardFeature("Kendo.UI.Scheduler")]
    public class MigrationsForScheduler : DataMigrationImpl 
    {
        public MigrationsForScheduler()
        {
        }

        public int Create()
        {
            MigrationTasks.Scheduler.CreateSchedulerTaskPartTable(this.SchemaBuilder);
            MigrationTasks.Scheduler.AttachablePart(this.ContentDefinitionManager);
            
            return 1;
        }

        public int UpdateFrom1()
        {
            MigrationTasks.Scheduler.CreateContentType(this.ContentDefinitionManager);
            MigrationTasks.Scheduler.AddSchedulerTaskSettings(this.ContentDefinitionManager);

            return 2;
        }

        public int UpdateFrom2() 
        {
            MigrationTasks.Scheduler.AddSchedulerAutorouteSettings(this.ContentDefinitionManager);

            return 3;
        }
    }
}