﻿using Orchard.ContentManagement;
using Orchard.ContentManagement.Records;
using Orchard.Core.Settings.Models;
using Orchard.Environment.Extensions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Kendo.Web.Models
{
    [OrchardFeature("Kendo.Web")]
    public class KendoSiteSettingsPart : ContentPart<KendoSiteSettingsPartRecord>
    {
        /// <summary>
        /// Gets or sets the default theme.
        /// </summary>
        /// <value>The default theme.</value>
        public string DefaultTheme 
        {
            get { return this.Record.DefaultTheme; } 
            set { this.Record.DefaultTheme = value; } 
        }

        public string Culture
        {
            get 
            {
                return this.As<SiteSettingsPart>().SiteCulture;
            }  
        }
    }
}