﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Newtonsoft.Json.Linq;
using System.Linq.Expressions;
using Kendo.Web.Models.Requests.Filters;

namespace Kendo.Web.Models.Requests
{
    public class AggregateDescriptor 
    {
    
    }

    public class GroupDescriptor 
    {
        
    }

    public class SortDescriptor 
    {
        
    }

    public interface IFilterDescriptor 
    {
        Expression CreateFilterExpression(Expression instance);
    }

    public class FilterDescriptor : JObject, IFilterDescriptor
    {
        /// <summary>
        /// Creates the filter expression.
        /// </summary>
        /// <param name="instance">The instance.</param>
        /// <returns></returns>
        public Expression CreateFilterExpression(Expression instance)
        {
            ParameterExpression parameterExpression = instance as ParameterExpression;

            return parameterExpression;
        }
    }

    public class DataSourceRequest
    {
        public DataSourceRequest() 
        {
            this.Page = 1;
            //this.Aggregates = new List<AggregateDescriptor>();
        }

        public int Page
        {
            get;
            set;
        }

        public int PageSize
        {
            get;
            set;
        }

        public FilterGroup Filters
        {
            get;
            set;
        }

        //public IList<AggregateDescriptor> Aggregates
        //{
        //    get;
        //    set;
        //}

        //public IList<GroupDescriptor> Groups
        //{
        //    get;
        //    set;
        //}

        //public IList<SortDescriptor> Sorts
        //{
        //    get;
        //    set;
        //}

        
    }
}